@echo off

set TOOLS=%SystemDrive%\tools
set SOFTWARE=..\software
set COMPANY=..\company

echo ####### %0 #######

for %%E in (

  bfg.jar  
  MediaCreationTool20H2.exe
  putty.exe
  puttygen.exe
  rufus.exe
  snapcontrol.exe
  snapshot64.exe
  Windows-ISO-Downloader.exe
  tzedit.exe

) do (
  
  if NOT EXIST %SOFTWARE%\%%E (
    echo WARNING: %SOFTWARE%\%%E not found!
  ) else (
    echo copying %%E to %TOOLS% ...
    copy /Y %SOFTWARE%\%%E %TOOLS%
  )

)

rem copy licensed snapshot64 executable
rem (license is written to the binary)
if EXIST %COMPANY%\snapshot64.exe (
  echo installing licensed version of snapshot64 ...
  copy /Y %COMPANY%\snapshot64.exe %TOOLS%
)

echo ####### %0 #######

